### Constructor

# Foundry GitCommitBuilder new

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_commit_builder_new (
      FoundryGitVcs* vcs,
      FoundryGitCommit* parent,
      guint context_lines
    )

#### Description [src]

Creates a new builder using `parent` as the parent commit.

If parent is NULL, then the last commit on the current branch will be used as the parent.

The `context_lines` parameter controls how many lines of context are included around each change in the diff. The default is 3 lines.

Available since: 1.1

#### Parameters

`vcs`

  Type: `FoundryGitVcs`

  A `FoundryGitVcs`.

  The data is owned by the caller of the function.

`parent`

  Type: `FoundryGitCommit`

  A `FoundryGitCommit`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`context_lines`

  Type: `guint`

  The number of context lines to use for diffs or 0 for default.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGitCommitBuilder`.

The caller of the function takes ownership of the data, and is responsible for freeing it.